
Foreman - Bug #11814

model_name needs to be stringified on Rails 4

09/15/2015 06:31 AM - Daniel Lobato Garcia

Status: Closed   

Priority: Normal   

Assignee: Daniel Lobato Garcia   

Category: Rails   

Target version: 1.10.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2718

  

Description

model_name.split doesn't work on Rails 4, instead we need to run to_s before. It's retrocompatible.

Related issues:

Related to Foreman - Tracker #3157: Rails 4.1 upgrade tasks Closed 09/27/2013

Associated revisions

Revision 97ef85c1 - 09/17/2015 02:25 AM - Daniel Lobato Garcia

Fixes #11814 - model_name needs to be stringified on Rails 4

History

#1 - 09/15/2015 06:33 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2718 added

- Pull request deleted ()

#2 - 09/15/2015 06:33 AM - Daniel Lobato Garcia

- Related to Tracker #3157: Rails 4.1 upgrade tasks added

#3 - 09/17/2015 03:02 AM - Daniel Lobato Garcia

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 97ef85c1f5adf4e842737b38177dc0746ea99bf7.

#4 - 09/17/2015 03:04 AM - Ohad Levy

- translation missing: en.field_release set to 63

#5 - 09/17/2015 03:07 AM - Dominic Cleal

- Category set to Rails

- Assignee set to Daniel Lobato Garcia
